AS =	HAS060 -m68000 -sFNC=1 -s_FNC=1
LK =	HLK -x

OBJ =	libbcstring.o	\
	b_bcmp.o	b_bcopy.o	b_bzero.o	b_ffs.o		b_index.o	\
	b_memccpy.o	b_memchr.o	b_memcmp.o	b_memcpy.o	b_memicmp.o	\
	b_memmove.o	b_memset.o	b_movedata.o	b_movmem.o	b_repmem.o	\
	b_rindex.o	b_setmem.o	b_swab.o	b_swmem.o	\
	b_stcgfe.o	b_stcgfn.o	b_stpcpy.o	b_strbpl.o	b_strchr.o	\
	b_strdup.o	b_strins.o	b_strmfe.o	b_strmfn.o	b_strmfp.o	\
	b_strnicmp.o	b_strpbrk.o	b_strrchr.o	b_strsfn.o	b_strsrt.o	\
	b_strstr.o	b_strtok.o	b_strtok2.o

TARGET =	libbcstring.fnc

all:	$(TARGET)

$(TARGET):	$(OBJ)
	$(LK) -o $@ $(OBJ) -l libc.a

%.o:	%.has
	$(AS) $<

fncobj:	$(OBJ)
	LHA u $@ $(OBJ)

clean:
	rm -f $(OBJ)
